org.apache.commons.collections4.iterators

## Class EmptyOrderedMapIterator<K,V>

- java.lang.Object
- - org.apache.commons.collections4.iterators.AbstractEmptyMapIterator<K,V>
  - - org.apache.commons.collections4.iterators.EmptyOrderedMapIterator<K,V>

- All Implemented Interfaces:
    Iterator<K>, MapIterator<K,V>, OrderedIterator<K>, OrderedMapIterator<K,V>, ResettableIterator<K>

      public class EmptyOrderedMapIterator<K,V>
      extends AbstractEmptyMapIterator<K,V>
      implements OrderedMapIterator<K,V>, ResettableIterator<K>

  Provides an implementation of an empty ordered map iterator.
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OrderedMapIterator` | `INSTANCE` Singleton instance of the iterator.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EmptyOrderedMapIterator()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(E obj)`
    `static <K,V> OrderedMapIterator<K,V>` | `emptyOrderedMapIterator()` Get a typed instance of the iterator.
    `boolean` | `hasNext()`
    `boolean` | `hasPrevious()`
    `E` | `next()`
    `int` | `nextIndex()`
    `E` | `previous()`
    `int` | `previousIndex()`
    `void` | `remove()`
    `void` | `reset()`
    `void` | `set(E obj)`

    - ### Methods inherited from class org.apache.commons.collections4.iterators.AbstractEmptyMapIterator

      `getKey, getValue, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.collections4.OrderedMapIterator

      `hasPrevious, previous`

    - ### Methods inherited from interface org.apache.commons.collections4.MapIterator

      `getKey, getValue, hasNext, next, remove, setValue`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

    - ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

      `reset`

- - ### Field Detail

    - #### INSTANCE

          public static final OrderedMapIterator INSTANCE

      Singleton instance of the iterator.
      Since:
        3.1

  - ### Constructor Detail

    - #### EmptyOrderedMapIterator

          protected EmptyOrderedMapIterator()

      Constructor.

  - ### Method Detail

    - #### emptyOrderedMapIterator

          public static <K,V> OrderedMapIterator<K,V> emptyOrderedMapIterator()

      Get a typed instance of the iterator.
      Type Parameters:
        `K` - the key type
        `V` - the value type
      Returns:
        `OrderedMapIterator`<K, V>

    - #### hasNext

          public boolean hasNext()

    - #### next

          public E next()

    - #### hasPrevious

          public boolean hasPrevious()

    - #### previous

          public E previous()

    - #### nextIndex

          public int nextIndex()

    - #### previousIndex

          public int previousIndex()

    - #### add

          public void add(E obj)

    - #### set

          public void set(E obj)

    - #### remove

          public void remove()

    - #### reset

          public void reset()

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.